
using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums.BI;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using static APT.MS.Domain.Enums.BI.BIEnums;

namespace APT.MS.Domain.Entities.BI
{
    /// <summary>
    /// 教育模块统计
    /// </summary>
    [Description("教育模块统计")]
    public class T_BI_TRAIN_PLAN_COUNT : MesEntityBase
    {
        [Description("部门名称")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        [DataFieldLength(50)]
        public string DepName { get; set; }
        [Description("完成率")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public double finishPrecent { get; set; }
        [Description("计划")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public int planCount { get; set; }
        [Description("实际")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public int activeCount { get; set; }
    }
}
